import { ProfileRepository } from '@app/domain/profiles/profile.repository';
import { Profile } from '@app/domain/profiles/profile.model';
import { Observable } from 'rxjs';
import { SettingsProfileDto } from '@app/domain/profiles/dto/settings-profile.dto';

export class UpdateSettingsProfileUseCase {
  constructor(private readonly repo: ProfileRepository) {}

  execute(profileId: string, settingsDto: SettingsProfileDto): Observable<Profile> {
    return this.repo.updateSettings(profileId, settingsDto);
  }
}
